# -*- coding: utf-8 -*-

# VTools - 3D-Turtle
# Opensource
# Autoren R. Oldenburg, M. Rabel, J. Schuster, Uni Frankfurt 
# Kontakt oldenbur@math.uni-frankfurt.de

# Dieses Beispiel zeigt ie Verwendung von Buttons und einem Schieberegler. 
# Diese erscheinen in einem zweiten Fenster.

from VTools import *

TshowButtonPanel()  # Zeigt das Fenster für die Buttons etc.
Tkosys()

t = Turtle3D()
t.setAnimated(False) # Sonst kein interaktives Feeling

def step(): t.forward(1)
def back(): t.forward(-1)
def left(): t.turnLeft(30)
def right(): t.turnRight(30)


buV=addButton(text=u"vorwärts")
buV.setCommand(step)

# Kürzer geht's so:

addButton(text=u"rückwärts", cmd=back)
addButton(text=u"links", cmd=left)
addButton(text=u"rechts", cmd=right)

def setzeX(): 
    t.goto((sl.value,0,0))

sl=addSlider(minimum=0, maximum=10, cmd=setzeX)

VmainloopThread()
